Part3 Developers

User get

GET /users/{uid}

Get one user by UID

GET
/users/{uid}
AuthorizationBearer <token>

In: header

Path Parameters

uid*string

Part3 user UID (Firebase Auth UID).

Query Parameters

includeActivitySummary?string

When true, attach an activitySummary block with weekly / monthly / yearly buckets.

Value in"true" | "false"

Response Body

application/json

application/json

application/json

curl -X GET "https://api.part3.io/v1/users/user_99a8b7c6d5"
{
  "uid": "user_99a8b7c6d5",
  "name": "Anika Patel",
  "email": "anika@example.com",
  "enabledMfa": true,
  "emailVerified": true,
  "phone": "+1-416-555-0142",
  "title": "Project Architect",
  "admin": false,
  "notificationPreference": "1",
  "createdAt": "2026-01-08T19:24:00Z",
  "updatedAt": "2026-04-22T11:00:00Z",
  "organizations": [
    {
      "orgId": "org_8a1b2c3d4e",
      "orgName": "AcmeCorp Construction",
      "role": "admin"
    }
  ],
  "projectCount": 14,
  "activitySummary": [
    {}
  ]
}
{
  "error": "User not found"
}
{
  "error": "User not found"
}